=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Michael Biebl <biebl@debian.org>,
           Loic Minier <lool@dooz.org>,
           Simon McVittie <smcv@debian.org>
# The following packages can be omitted for bootstrapping, but provide extra
# features:
#   libapparmor-dev
#   libaudit-dev
#   libcap-ng-dev
#   libsystemd-dev (circular dependency)
# The following packages can be omitted for bootstrapping, but provide extra
# debugging support in /usr/lib/*/dbus-1.0/debug-build:
#   valgrind
# The following packages can be omitted for bootstrapping, but improve test
# coverage:
#   libglib2.0-dev
#   python
#   python-dbus (circular dependency)
#   python-gobject
Build-Depends: automake (>= 1:1.10),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-exec (>= 0.13),
               doxygen,
               dpkg-dev (>= 1.16.1),
               libapparmor-dev (>= 2.8.95) [linux-any],
               libaudit-dev [linux-any],
               libcap-ng-dev [linux-any],
               libexpat-dev,
               libglib2.0-dev,
               libselinux1-dev [linux-any],
               libsystemd-dev (>= 209) [linux-any],
               libx11-dev,
               python (>= 2.6),
               python-dbus,
               python-gobject,
               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
               xmlto,
               xsltproc
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus.git
Homepage: http://dbus.freedesktop.org/

Package: dbus
Architecture: any
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         lsb-base (>= 3.2-14)
Suggests:
 dbus-user-session | dbus-x11,
Multi-Arch: foreign
Description: simple interprocess messaging system (daemon and utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package contains the D-Bus daemon and related utilities.
 .
 The client-side library can be found in the libdbus-1-3 package, as it is no
 longer contained in this package.

Package: dbus-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus and dbus-x11 packages,
 for use in the Debian installer. It can run a session bus, but is not
 suitable for use as a system bus.

Package: dbus-x11
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility which is necessary for
 packages using a D-Bus session bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks:
 dbus (<< 1.9.16-1~),
Recommends: dbus
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-3-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: dbus-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libdbus-1-dev
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         pkg-config
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
         dbus (= ${binary:Version}),
         dbus-x11 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests:
 gnome-desktop-testing,
Description: simple interprocess messaging system (debug symbols)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides support for debugging programs that use the core
 D-Bus shared library.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-tests
Section: misc
Priority: extra
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 dbus,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.9.10-2~),
Replaces:
 dbus-1-dbg (<< 1.9.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-user-session
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 dbus (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Breaks:
 dbus-x11 (<< 1.9.10-2~),
 policykit-1 (<< 0.105-12~),
 udisks2 (<< 2.1.5-2~),
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.
