## dbus 1.10.8

=== debian/changelog ===
dbus (1.10.8-1) unstable; urgency=medium

  * New upstream release
  * dbus.prerm: ensure that dbus.socket is stopped before removal,
    so that a new connection to the bus won't cause dbus.service to be
    restarted (Closes: #813970)
  * debian/75dbus_dbus-launch: when not using systemd --user or the
    dbus-user-session package is not installed, start dbus-daemon early,
    then upload the full environment from Xsession.d later on
    (in 95dbus_update-activation-env). This more closely matches the
    behaviour with dbus-user-session. (Closes: #815503; thanks to Samuel
    Thibault)
  * Switch Vcs-Git to https (see #810378)
  * debian/upstream/signing-key.asc: add upstream signing keys
    (just my keys for now, in practice I do almost all dbus releases)
  * debian/watch: use https and describe how to download signatures
  * Standards-Version: 3.9.7 (no changes needed)
  * Sort .install files and remove unnecessary debian/tmp prefix
  * Normalize lists of packages and uploaders via wrap-and-sort -ast
  * Normalize order of packages via wrap-and-sort -b

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Mar 2016 19:15:47 +0000
