## dbus 1.10.10

=== debian/changelog ===
dbus (1.10.10-1ubuntu1) yakkety; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian (LP: #1622401), remaining changes:
    - Add debian/dbus.user-session.upstart.
    - debian, dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more. Instead, start dbus.socket
      in postinst, which will then start D-Bus on demand after package
      installation.
    - Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
      unit (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems. (LP:
      #1438612) (LP: #1540282)
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
  * Dropped changes:
    - debian/dbus.preinst: divert the dbus-daemon-launch-helper if upgrading
      from < 1.9.4-2~. This will make sure we keep the setuid bit during upgrade.
      (LP: #1555237)
    - Drop system upstart job.

  [ Martin Pitt ]
  * Clean up /etc/init/dbus.conf on upgrades. This needs to be kept until
    after 18.04 LTS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Sep 2016 04:09:45 -0400

dbus (1.10.10-1) unstable; urgency=medium

  * New upstream stable release 1.10.10
  * Provide new virtual packages for other packages to depend on:
    - dbus-session-bus: any implementation of the D-Bus well-known session bus
      (provided by: dbus-user-session, dbus-x11)
    - default-dbus-session-bus: the recommended implementation of
      dbus-session-bus (currently provided by: dbus-user-session)
  * Add arm64, mips64el, ppc64el to the list of architectures that
    have valgrind
  * debian/gbp.conf: use DEP-14 branch names
  * Standards-Version: 3.9.8 (no changes needed)
  * debian/rules: fail the build if "make install" installs anything we
    don't package or delete. Only do this for final releases (suite
    in debian/changelog is not UNRELEASED) to facilitate future
    autobuilding of new upstream releases.
  * debian/rules: do not require symbols file to be complete if the
    suite in debian/changelog is UNRELEASED, again to facilitate
    autobuilding new upstream releases.
  * debian/source/options: don't fail dpkg-source on changes to
    build-aux/{compile,depcomp,missing}. We regenerate that directory anyway,
    and during a snapshot build they might become symlinks.
  * debian/rules: do the build in debian/build-* so it's easier to .gitignore
  * debian/.gitignore: update
  * Use the correct systemctl for Debian even if not installed on the build
    system. (Regression in 1.10.2)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Aug 2016 22:05:45 +0100

dbus (1.10.6-1ubuntu4) yakkety; urgency=medium

  * debian/dbus.user-session.upstart:
    - Don't start a new session bus if there already is one (e. g. via
      dbus-user-session), as this would lead to different services talking to
      different buses and thus not seeing each other. As we still need the
      actual job itself running, run "sleep infinity" instead in this case.
    - Drop "expect fork" and "--fork" argument. There is little point in the
      daemon forking, upstart already manages it. This makes debugging easier
      and also avoids having to fork "sleep" in the case that dbus-daemon is
      already running.
    - Drop "mkdir ~/.cache/upstart". This doesn't belong into a job, isn't
      necessary (upstart already creates it on start) and would be too late
      anyway.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 May 2016 21:25:46 +0200
