## dbus 1.10.14

=== debian/changelog ===
dbus (1.10.14-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Nov 2016 21:58:04 +0000

dbus (1.10.12-1) unstable; urgency=medium

  * New upstream release
  * d/p/backports/Replace-DBUS_USE_TEST_BINARY-with-DBUS_TEST_DBUS_LAUNCH.patch:
    backport a change from 1.11.2 to make the debug build of libdbus
    reproducible under varying build paths
  * Move Debian-specific patches to debian/patches/debian (corresponding
    to "Gbp-pq: Topic debian" on the patch queue branch)
  * debian/*.lintian-overrides:
    - override systemd-service-file-missing-install-key for dbus.service,
      which is intentionally statically enabled
    - override embedded-javascript-library for Doxygen's jquery.js,
      which is not actually libjs-jquery (see #736360)
  * Move to debhelper compat level 10
    - drop options and overrides that are now the default

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Oct 2016 10:49:51 +0100
