## dbus 1.10.18

=== debian/changelog ===
dbus (1.10.18-1) unstable; urgency=medium

  * New upstream stable release
    - On SELinux systems, make sure the thread that reads AVC
      notifications retains the ability to write the audit log
      (Closes: #857660)
    - Fix a read overflow and some memory leaks in a unit test
      (no effect on production systems)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Apr 2017 20:07:19 +0100

dbus (1.10.16-1) unstable; urgency=medium

  * New upstream release
    - Contains a security fix for a potential symlink attack in the
      nonce-tcp transport. That transport is not normally used (or
      recommended) on Unix.

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Feb 2017 14:21:41 +0000
